Argonne National Laboratory

Experimental Physics and
Industrial Control System

2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: Re: base-7.0, can't make on linux
From: Andrew Johnson <anj@aps.anl.gov>
To: <core-talk@aps.anl.gov>
Date: Thu, 7 Dec 2017 10:33:58 -0600
Hello Heinz,

Yes, I broke it with a commit last night which I'm still in the process
of fixing.

- Andrew


On 12/07/2017 10:26 AM, Heinz Junkes wrote:
> I checked out the base-7.0:
> 
> git clone --recursive -b core/master https://git.launchpad.net/epics-base base-7.0
> 
> running “make” gives:
> …
> make -C ./libcom install
> make[2]: Entering directory '/home/fel/EPICS/base-7.0/modules/libcom'
> configure/CONFIG:19: /configure/CONFIG: No such file or directory
> configure/RULES_TOP:2: /configure/RULES_TOP: No such file or directory
> make[2]: *** No rule to make target '/configure/RULES_TOP'.  Stop.
> make[2]: Leaving directory '/home/fel/EPICS/base-7.0/modules/libcom'
> ../configure/RULES_DIRS:84: recipe for target 'libcom.install' failed
> make[1]: *** [libcom.install] Error 2
> make[1]: Leaving directory '/home/fel/EPICS/base-7.0/modules'
> configure/RULES_DIRS:84: recipe for target 'modules.install' failed
> make: *** [modules.install] Error 2
> 
> With the tar-file 
> https://www.aps.anl.gov/epics/download/base/base-7.0.1-rc1.tar.gz 
> everything works well.
> 
> Heinz
> 
> 

-- 
Arguing for surveillance because you have nothing to hide is no
different than making the claim, "I don't care about freedom of
speech because I have nothing to say." -- Edward Snowdon

Replies:
Re: base-7.0, can't make on linux Andrew Johnson
References:
base-7.0, can't make on linux Heinz Junkes

Navigate by Date:
Prev: base-7.0, can't make on linux Heinz Junkes
Next: more git problems Dirk Zimoch
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: base-7.0, can't make on linux Heinz Junkes
Next: Re: base-7.0, can't make on linux Andrew Johnson
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 07 Dec 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·